# class ConsoleRenderContext

#### package lime.graphics

Available on all platforms

### Constructor

###

`new ()`

### Variables

###

`read onlyheight:Int`

###

`read onlywidth:Int`

### Methods

###

`bindShader (shader:Shader):Void`

###

`clear (r:Int, g:Int, b:Int, a:Int, depth:Float = 1.0, stencil:Int = 0):Void`

###

`createIndexBuffer (indices:Unknown, count:Int):IndexBuffer`

###

`createVertexBuffer (decl:Unknown, count:Int):VertexBuffer`

###

`draw (primitive:Unknown, startVertex:Unknown, primitiveCount:Unknown):Void`

###

`drawIndexed (primitive:Unknown, vertexCount:Unknown, startIndex:Unknown, primitiveCount:Unknown):Void`

###

`lookupShader (name:String):Shader`

###

`setIndexSource (ib:IndexBuffer):Void`

###

`setVertexShaderConstantF (startRegister:Unknown, vec4:Unknown, vec4count:Unknown):Void`

###

`setVertexSource (vb:VertexBuffer):Void`

###

`setViewport (x:Unknown, y:Unknown, width:Unknown, height:Unknown, nearPlane:Float = 0.0, farPlane:Float = 1.0):Void`